Overview | Modules | Class Hierarchy | Classes | Members

Classes | Namespaces
GraphStorage.h File Reference
`#include <cassert>`
`#include <vector>`
`#include <tulip/Node.h>`
`#include <tulip/Edge.h>`
`#include <tulip/IdManager.h>`
`#include <tulip/SimpleVector.h>`
`#include <tulip/MutableContainer.h>`
Include dependency graph for GraphStorage.h:

## Classes

- class tlp::GraphStorageIdsMemento
    that class provides a simple interface to save the state of the ids manage by the GraphStorage class More...
- class tlp::GraphStorage
    That class provide a simple implementation for the storage of graph elts (nodes edges) More...
- struct tlp::GraphStorage::EdgeContainer

## Namespaces

- namespace tlp

Tulip Software by LaBRI Visualization Team 2001 - 2012